| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IncompatibleQosStatus Struct Reference

A struct storing the requested incompatible QoS status. More...

`#include <IncompatibleQosStatus.hpp>`

## Public Member Functions

| IncompatibleQosStatus ()

## Public Attributes

uint32_t | total_count = 0
| Total cumulative number of times the concerned writer discovered a reader for the same topic.
uint32_t | total_count_change = 0
| The change in total_count since the last time the listener was called or the status was read.
QosPolicyId_t | last_policy_id = INVALID_QOS_POLICY_ID
| The id of the policy that was found to be incompatible the last time an incompatibility is detected.
QosPolicyCountSeq | policies
| A list of QosPolicyCount.

## Detailed Description

A struct storing the requested incompatible QoS status.

## Constructor & Destructor Documentation

## ◆ IncompatibleQosStatus()

IncompatibleQosStatus | ( |  | ) |

inline

## Member Data Documentation

## ◆ last_policy_id

QosPolicyId_t last_policy_id = INVALID_QOS_POLICY_ID

The id of the policy that was found to be incompatible the last time an incompatibility is detected.

## ◆ policies

QosPolicyCountSeq policies

A list of QosPolicyCount.

## ◆ total_count

uint32_t total_count = 0

Total cumulative number of times the concerned writer discovered a reader for the same topic.

The requested QoS is incompatible with the one offered by the writer

## ◆ total_count_change

uint32_t total_count_change = 0

The change in total_count since the last time the listener was called or the status was read.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/IncompatibleQosStatus.hpp